## lcat_1.0.1-2.05_with-binary.tar.gz

=== Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/lcat
pkglibdir = $(libdir)/lcat
pkgincludedir = $(includedir)/lcat
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
	ChangeLog INSTALL NEWS config.guess config.sub depcomp \
	install-sh ltmain.sh missing mkinstalldirs
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/util/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run automake-1.9
AWK = gawk
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GETTEXT_PACKAGE = lcat
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GMOFILES = 
GMSGFMT = /usr/bin/msgfmt
GOBJECT_QUERY = gobject-query
GREP = /bin/grep
GTHREAD_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTHREAD_LIBS = -pthread -lgthread-2.0 -lglib-2.0  
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HAVE_GTK_FALSE = #
HAVE_GTK_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
LDFLAGS = 
LIBOBJS =  ${LIBOBJDIR}mktime$U.o
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS =  ${LIBOBJDIR}mktime$U.lo
MAKEINFO = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
OBJEXT = o
PACKAGE = lcat
PACKAGE_BUGREPORT = 
PACKAGE_NAME = lcat
PACKAGE_STRING = lcat 1.0.0
PACKAGE_TARNAME = lcat
PACKAGE_VERSION = 1.0.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
POFILES = 
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 1.0.0
XGETTEXT = /usr/bin/xgettext
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /tmp/lcat_1.0.1-2.05/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = /usr/local/share/lcat/icons
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs =  cloop-2.05-opt
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
SUBDIRS = util po cloop-2.05-opt
EXTRA_DIST = autogeh.sh
all: all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

=== po/Makefile ===
INSTALL= /usr/bin/install -c
INSTALL_PROGRAM= ${INSTALL}
INSTALL_DATA= ${INSTALL} -m 644
#INSTALLNLSDIR=$(instroot)/share/locale
INSTALLNLSDIR=/tmp/usr/share/locale

MSGMERGE = msgmerge

NLSPACKAGE = kudzu

CATALOGS = $(shell ls *.po)
FMTCATALOGS = $(patsubst %.po,%.mo,$(CATALOGS))

POTFILES  = ../hwconf.c

all: $(NLSPACKAGE).pot $(FMTCATALOGS)

$(NLSPACKAGE).pot: $(POTFILES)
	xgettext --default-domain=$(NLSPACKAGE) \
		--add-comments --keyword=_ --keyword=N_ $(POTFILES)
	if cmp -s $(NLSPACKAGE).po $(NLSPACKAGE).pot; then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv $(NLSPACKAGE).po $(NLSPACKAGE).pot; \
	fi

refresh-po: Makefile
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.po//'`; \
		if $(MSGMERGE) $$lang.po $(NLSPACKAGE).pot > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

update-po: $(NLSPACKAGE).pot Makefile refresh-po

report:
	@for cat in $(CATALOGS); do \
		echo -n "$$cat: "; \
		msgfmt -v --statistics -o /dev/null $$cat; \
	done

clean:
	rm -f *mo

distclean: clean
	rm -f .depend Makefile

depend:

install: all
	mkdir -p $(INSTALLNLSDIR)
	for n in $(CATALOGS); do \
	    l=`basename $$n .po`; \
	    mo=$$l.mo; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    if [ -f $$n ]; then \
	        $(INSTALL) -m 644 $$mo $(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	    fi; \
	done

%.mo: %.po
	msgfmt -v -o $@ $<

=== util/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# util/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/lcat
pkglibdir = $(libdir)/lcat
pkgincludedir = $(includedir)/lcat
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
bin_PROGRAMS = cloopoptimizer$(EXEEXT) cloopreadahead$(EXEEXT) \
	rblk2bl$(EXEEXT) appblk2bl$(EXEEXT) \
	extract_compressed_opt_fs$(EXEEXT) $(am__EXEEXT_1)
am__append_1 = cloopprofiler
am__append_2 = ${GTK_CFLAGS} ${GTHREAD_CFLAGS}
subdir = util
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = cloopprofiler$(EXEEXT)
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_appblk2bl_OBJECTS = cloop_optimizer.$(OBJEXT) appblk2bl.$(OBJEXT) \
	log2list.$(OBJEXT)
appblk2bl_OBJECTS = $(am_appblk2bl_OBJECTS)
appblk2bl_LDADD = $(LDADD)
am_cloopoptimizer_OBJECTS = cloop_optimizer.$(OBJEXT) \
	cloopoptimizer.$(OBJEXT)
cloopoptimizer_OBJECTS = $(am_cloopoptimizer_OBJECTS)
cloopoptimizer_LDADD = $(LDADD)
am_cloopprofiler_OBJECTS = cloop_optimizer.$(OBJEXT) \
	log2list.$(OBJEXT) support.$(OBJEXT) interface.$(OBJEXT) \
	callbacks.$(OBJEXT) cloopprofiler.$(OBJEXT)
cloopprofiler_OBJECTS = $(am_cloopprofiler_OBJECTS)
am__DEPENDENCIES_1 =
cloopprofiler_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_cloopreadahead_OBJECTS = cloopreadahead.$(OBJEXT)
cloopreadahead_OBJECTS = $(am_cloopreadahead_OBJECTS)
cloopreadahead_LDADD = $(LDADD)
am_extract_compressed_opt_fs_OBJECTS =  \
	extract_compressed_opt_fs.$(OBJEXT)
extract_compressed_opt_fs_OBJECTS =  \
	$(am_extract_compressed_opt_fs_OBJECTS)
extract_compressed_opt_fs_DEPENDENCIES =
am_rblk2bl_OBJECTS = cloop_optimizer.$(OBJEXT) rblk2bl.$(OBJEXT) \
	log2list.$(OBJEXT)
rblk2bl_OBJECTS = $(am_rblk2bl_OBJECTS)
rblk2bl_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(appblk2bl_SOURCES) $(cloopoptimizer_SOURCES) \
	$(cloopprofiler_SOURCES) $(cloopreadahead_SOURCES) \
	$(extract_compressed_opt_fs_SOURCES) $(rblk2bl_SOURCES)
DIST_SOURCES = $(appblk2bl_SOURCES) $(cloopoptimizer_SOURCES) \
	$(cloopprofiler_SOURCES) $(cloopreadahead_SOURCES) \
	$(extract_compressed_opt_fs_SOURCES) $(rblk2bl_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run automake-1.9
AWK = gawk
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GETTEXT_PACKAGE = lcat
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GMOFILES = 
GMSGFMT = /usr/bin/msgfmt
GOBJECT_QUERY = gobject-query
GREP = /bin/grep
GTHREAD_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTHREAD_LIBS = -pthread -lgthread-2.0 -lglib-2.0  
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HAVE_GTK_FALSE = #
HAVE_GTK_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
LDFLAGS = 
LIBOBJS =  ${LIBOBJDIR}mktime$U.o
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS =  ${LIBOBJDIR}mktime$U.lo
MAKEINFO = ${SHELL} /tmp/lcat_1.0.1-2.05/missing --run makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
OBJEXT = o
PACKAGE = lcat
PACKAGE_BUGREPORT = 
PACKAGE_NAME = lcat
PACKAGE_STRING = lcat 1.0.0
PACKAGE_TARNAME = lcat
PACKAGE_VERSION = 1.0.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
POFILES = 
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 1.0.0
XGETTEXT = /usr/bin/xgettext
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /tmp/lcat_1.0.1-2.05/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = /usr/local/share/lcat/icons
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs =  cloop-2.05-opt
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
INCLUDES = \
	-DDATADIR=\""\$(datadir)"\"\
	-DPACKAGE_DATA_DIR=\""$(datadir)"\"\
	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\"\
	-DGNOME_ICONDIR=\""$(datadir)/icons"\"

#STRIP = /usr/bin/strip
AM_CFLAGS = -Wall -O2 -g $(am__append_2)
#	$(STRIP) -s $(bin_PROGRAMS)
cloopoptimizer_SOURCES = cloop_optimizer.c cloop_optimizer.h \
			 cloopoptimizer.c

cloopreadahead_SOURCES = compressed_loop.h cloopreadahead.c
cloopreadahead_LDFLAGS = -all-static
rblk2bl_SOURCES = cloop_optimizer.h cloop_optimizer.c\
		  rblk2bl.c log2list.c 

appblk2bl_SOURCES = cloop_optimizer.h cloop_optimizer.c \
		    appblk2bl.c log2list.c 

extract_compressed_opt_fs_SOURCES = extract_compressed_opt_fs.c
extract_compressed_opt_fs_LDADD = -lz
cloopprofiler_SOURCES = cloop_optimizer.c cloop_optimzer.h\
			log2list.c log2list.h \
			support.c support.h \
			interface.c \
			callbacks.c callbacks.h\
			cloopprofiler.c  cloopprofiler.h

cloopprofiler_LDADD = ${GTK_LIBS} ${GTHREAD_LIBS}
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  util/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  util/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status util/config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
appblk2bl$(EXEEXT): $(appblk2bl_OBJECTS) $(appblk2bl_DEPENDENCIES) 
	@rm -f appblk2bl$(EXEEXT)
	$(LINK) $(appblk2bl_LDFLAGS) $(appblk2bl_OBJECTS) $(appblk2bl_LDADD) $(LIBS)
cloopoptimizer$(EXEEXT): $(cloopoptimizer_OBJECTS) $(cloopoptimizer_DEPENDENCIES) 
	@rm -f cloopoptimizer$(EXEEXT)
	$(LINK) $(cloopoptimizer_LDFLAGS) $(cloopoptimizer_OBJECTS) $(cloopoptimizer_LDADD) $(LIBS)
cloopprofiler$(EXEEXT): $(cloopprofiler_OBJECTS) $(cloopprofiler_DEPENDENCIES) 
	@rm -f cloopprofiler$(EXEEXT)

=== cloop-2.05-opt/advancecomp-1.14/Makefile ===
# Makefile.in generated by automake 1.9.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




SOURCES = $(advdef_SOURCES) $(advfs_SOURCES) $(advmng_SOURCES) $(advpng_SOURCES) $(advzip_SOURCES)

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/advancecomp
pkglibdir = $(libdir)/advancecomp
pkgincludedir = $(includedir)/advancecomp
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
bin_PROGRAMS = advzip$(EXEEXT) advpng$(EXEEXT) advmng$(EXEEXT) \
	advdef$(EXEEXT) advfs$(EXEEXT)
DIST_COMMON = README $(am__configure_deps) $(noinst_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(top_srcdir)/configure AUTHORS COPYING \
	INSTALL config.guess config.sub install-sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_advdef_OBJECTS = redef.$(OBJEXT) file.$(OBJEXT) data.$(OBJEXT) \
	siglock.$(OBJEXT) compress.$(OBJEXT) getopt.$(OBJEXT) \
	snprintf.$(OBJEXT) pngex.$(OBJEXT) fz.$(OBJEXT) \
	error.$(OBJEXT) snstring.$(OBJEXT) png.$(OBJEXT) mng.$(OBJEXT) \
	7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) \
	CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) \
	LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) WindowIn.$(OBJEXT) \
	WindowOut.$(OBJEXT)
advdef_OBJECTS = $(am_advdef_OBJECTS)
advdef_LDADD = $(LDADD)
am_advfs_OBJECTS = advfs.$(OBJEXT) data.$(OBJEXT) siglock.$(OBJEXT) \
	compress.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	pngex.$(OBJEXT) fz.$(OBJEXT) error.$(OBJEXT) \
	snstring.$(OBJEXT) png.$(OBJEXT) mng.$(OBJEXT) \
	7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) \
	CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) \
	LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) WindowIn.$(OBJEXT) \
	WindowOut.$(OBJEXT)
advfs_OBJECTS = $(am_advfs_OBJECTS)
advfs_LDADD = $(LDADD)
am_advmng_OBJECTS = remng.$(OBJEXT) pngex.$(OBJEXT) mngex.$(OBJEXT) \
	scroll.$(OBJEXT) file.$(OBJEXT) data.$(OBJEXT) \
	siglock.$(OBJEXT) compress.$(OBJEXT) getopt.$(OBJEXT) \
	snprintf.$(OBJEXT) fz.$(OBJEXT) png.$(OBJEXT) mng.$(OBJEXT) \
	error.$(OBJEXT) snstring.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \
	InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) LSBFEncoder.$(OBJEXT) \
	LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) LZMAEncoder.$(OBJEXT) \
	LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) \
	WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advmng_OBJECTS = $(am_advmng_OBJECTS)
advmng_LDADD = $(LDADD)
am_advpng_OBJECTS = repng.$(OBJEXT) pngex.$(OBJEXT) file.$(OBJEXT) \
	data.$(OBJEXT) siglock.$(OBJEXT) compress.$(OBJEXT) \
	getopt.$(OBJEXT) snprintf.$(OBJEXT) fz.$(OBJEXT) png.$(OBJEXT) \
	error.$(OBJEXT) snstring.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \
	InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) LSBFEncoder.$(OBJEXT) \
	LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) LZMAEncoder.$(OBJEXT) \
	LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) \
	WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advpng_OBJECTS = $(am_advpng_OBJECTS)
advpng_LDADD = $(LDADD)
am_advzip_OBJECTS = rezip.$(OBJEXT) zip.$(OBJEXT) file.$(OBJEXT) \
	data.$(OBJEXT) siglock.$(OBJEXT) compress.$(OBJEXT) \
	zipsh.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) \
	CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) \
	LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) WindowIn.$(OBJEXT) \
	WindowOut.$(OBJEXT)
advzip_OBJECTS = $(am_advzip_OBJECTS)
advzip_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(advdef_SOURCES) $(advfs_SOURCES) $(advmng_SOURCES) \
	$(advpng_SOURCES) $(advzip_SOURCES)
DIST_SOURCES = $(advdef_SOURCES) $(advfs_SOURCES) $(advmng_SOURCES) \
	$(advpng_SOURCES) $(advzip_SOURCES)
man1dir = $(mandir)/man1
NROFF = nroff
MANS = $(man_MANS)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /tmp/lcat_1.0.1-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run aclocal-1.9
AMTAR = ${SHELL} /tmp/lcat_1.0.1-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run tar
AUTOCONF = ${SHELL} /tmp/lcat_1.0.1-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/lcat_1.0.1-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/lcat_1.0.1-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run automake-1.9
AWK = gawk
CC = gcc
CFLAGS = -g -O2 -DUSE_ERROR_SILENT -DUSE_COMPRESS -D_REENTRANT -pthread
COL = col
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXFLAGS = -g -O2 -DUSE_ERROR_SILENT -DUSE_COMPRESS -D_REENTRANT -pthread
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
GROFF = groff
GZIP = gzip
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lpthread -lz 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /tmp/lcat_1.0.1-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run makeinfo
OBJEXT = o
PACKAGE = advancecomp
PACKAGE_BUGREPORT = 
PACKAGE_NAME = AdvanceCOMP
PACKAGE_STRING = AdvanceCOMP 1.14
PACKAGE_TARNAME = advancecomp
PACKAGE_VERSION = 1.14
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
TAR = tar
VERSION = 1.14
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_STRIP = 
am__leading_dot = .
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /tmp/lcat_1.0.1-2.05/cloop-2.05-opt/advancecomp-1.14/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
advzip_SOURCES = \
	rezip.cc \
	zip.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	zipsh.cc \
	getopt.c \
	snprintf.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advpng_SOURCES = \
	repng.cc \
	pngex.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	lib/fz.c \
	lib/png.c \
	lib/error.c \
	lib/snstring.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advmng_SOURCES = \
	remng.cc \
	pngex.cc \
	mngex.cc \
	scroll.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	lib/fz.c \
	lib/png.c \
	lib/mng.c \
	lib/error.c \
	lib/snstring.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advdef_SOURCES = \
	redef.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	pngex.cc \
	lib/fz.c \
	lib/error.c \
	lib/snstring.c \
	lib/png.c \
	lib/mng.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advfs_SOURCES = \
	advfs.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	pngex.cc \
	lib/fz.c \
	lib/error.c \
	lib/snstring.c \
	lib/png.c \
	lib/mng.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

EXTRA_DIST = \
	README AUTHORS HISTORY INSTALL COPYING \

=== cloop-2.05-opt/debian/changelog ===
cloop (2.05-1) unstable; urgency=low

  * Adopted Eduard Blochs debian buildscripts for generic cloop 2.05

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 20 Aug 2006 14:10:24 +0200

cloop (2.04-1+eb.1-7) unstable; urgency=low

  * disabled debugging output (ooops...)
  * another ugly bug identified by Andreas Krüger (thanks!), broken offset
    index generation in tempfile mode (closes: #382762)
  * Makefile fixes to adapt to new advfs.cc path
  * manpage patch from Andreas to explain extract_compressed_fs usage applied
    (closes: #382765) and SGML format fixes

 -- Eduard Bloch <blade@debian.org>  Sun, 13 Aug 2006 12:43:44 +0200

cloop (2.04-1+eb.1-6) unstable; urgency=low

  * updated advancecomp to 1.15, better documenting (diff) modifications used
    to implant advfs.cc
  * bugfixes in advfs.cc:
    - recognice -m/-f with standard output (closes: #382611)
    - compressing block selection, could get stuck in rare cases

 -- Eduard Bloch <blade@debian.org>  Sat, 12 Aug 2006 13:26:53 +0200

cloop (2.04-1+eb.1-5) unstable; urgency=low

  * not using the install-module rule from the Makefile, installing module
    explicitely (closes: #381639)
  * added debian/compat to the modules tarball
  * fixed broken macros in Millan's patch (closes: #381626)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Aug 2006 19:04:28 +0200

cloop (2.04-1+eb.1-4) unstable; urgency=low

  * Dirty little optimisation of the block-for-compression selection

 -- Eduard Bloch <blade@debian.org>  Wed,  2 Aug 2006 23:53:05 +0200

cloop (2.04-1+eb.1-3) unstable; urgency=low

  * rewrite of the work control in multithreaded advfs/create_compressed_fs,
    now definitely not adding a zero block on aligned data (closes: #296179)
  * fixed a memory leak in "best" mode and better control for memory
    allocation now (finally closes: #164015 and hopefully closes: #380384,
    reopen if it doesn't)
  * added pt.po (closes: #337546)
  * added GNU/kFreeBSD porting patch from Robert Millan (closes: #335872)

 -- Eduard Bloch <blade@debian.org>  Wed, 02 Aug 2006 23:51:14 +0200

cloop (2.04-1+eb.1-2) unstable; urgency=low

  * removed obsolete CFLAGS from the Makefile, confused current kernel build
    system, plus some user hints added.
  * compressed_loop.c: removed all conditional blocks with workarounds for
    kernel << 2.6.8, including kernel 2.4 related junk. Gets the correct
    module name now and no compiler warnings anymore. Fixed intendation.
  * debian/control: removed some old cruft, updated to debhelper 5, updated
    Standards-Version.

 -- Eduard Bloch <blade@debian.org>  Fri, 28 Jul 2006 19:17:18 +0200

cloop (2.04-1+eb.1-1) unstable; urgency=low

  * Sync my modified version with 2.04.1
    + fixes for 2.6.17 changes (closes: #376713)
  * fixes for compilatin with 2.6.18-rc2 (disabling devfs)
  * -s -> -S in create_compressed_fs help output (closes: #360764)

 -- Eduard Bloch <blade@debian.org>  Thu, 27 Jul 2006 19:19:30 +0200

cloop (2.04-1) unstable; urgency=low

  * Fixed a memory leak when changing loop files.

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 14 May 2006 20:06:23 +0200

cloop (2.03-2) unstable; urgency=low

  * Fixed KBUILD_BASENAME string quotes

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 23 Apr 2006 10:02:10 +0200

cloop (2.03-1) unstable; urgency=low

  * Use dynamic major device allocation in case we can't get block device 240
  * devfs cleanups

 -- Klaus Knopper <knoppix@knopper.net>  Fri, 17 Feb 2006 10:28:17 +0100

cloop (2.02.1+eb.11) UNRELEASED; urgency=low

  * NOT RELEASED YET
  * minor fixes in manpage and help output

 -- Eduard Bloch <blade@debian.org>  Thu,  6 Oct 2005 12:52:48 +0200

cloop (2.02.1+eb.10) unstable; urgency=low

  * synch with Ubuntu: fixes interaction with devmapper layer in the driver.
    Thanks for telling me, it is a "great" feeling doing duplicated work!
  * cloop-node-control.sh: better ssh options, not allocating pseudo tty,
    should help on AIX
  * simple fixes to compile advfs.cc on AIX
  * added sv.po by Daniel Nylander (closes: #331306)

 -- Eduard Bloch <blade@debian.org>  Thu, 06 Oct 2005 12:48:16 +0200

cloop (2.02.1+eb.8) unstable; urgency=low

  * create_compressed_fs bugfixes
    + correct identification of IP numbers, no longer confusing with the
      compatible option syntax
    + cygwin workarounds in the recv calls

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Sep 2005 18:25:37 +0200

cloop (2.02.1+eb.7) unstable; urgency=low

  * -L option for direct compression level choice
  * network protocol sligthly changed to create less overhead, also setting
    TCP_NODELAY option
  * cygwin build fixes

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Sep 2005 18:21:59 +0200

cloop (2.02.1+eb.6) unstable; urgency=medium

  * added correct KERNELVERSION to kernel make flags (closes: #327792)

 -- Eduard Bloch <blade@debian.org>  Thu, 22 Sep 2005 16:22:41 +0200

cloop (2.02.1+eb.5) unstable; urgency=medium

  * fixed the option parser to correctly read the nodes list and use -B for
    best, not -b (the blocksize)

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 22:49:59 +0200

cloop (2.02.1+eb.4) unstable; urgency=low

  * made option parser be more relaxed WRT old command syntax
  * updated manpage to reflect the new command and driver features

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 22:48:17 +0200

cloop (2.02.1+eb.3) unstable; urgency=low

  * advfs troughput message display frequency fixed, added ETA info
  * added experimental feature: splitting output into chunks of specified size
    like with split(1) (however without stdout mode with its problems)

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 00:14:34 +0200

cloop (2.02.1+eb.2) unstable; urgency=low

  * Added EXTRA_CFLAGS to work around a weird FTBFS with kernel-headers-2.6.*
    packages, still looks like a bug _there_

 -- Eduard Bloch <blade@debian.org>  Thu, 08 Sep 2005 19:47:51 +0200

cloop (2.02.1+eb.1) experimental; urgency=low



=== cloop/debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Klaus Knopper <knoppix@knopper.net>
Build-Depends: debhelper (>> 3.0.0), zlib1g-dev
Standards-Version: 3.5.8

Package: cloop-utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for handling with cloop compressed volumes
 Utilities for creating and unpacking compressed loopback files
 for cloop.

Package: cloop-module-2.6.18
Depends: debconf
Architecture: any
Description: The compressed loopback block device kernel module
 Cloop is the driver module for transparent access to a
 ISO9660 filesystem contained in compressed volume.

=== cloop/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

SHELL=/bin/bash

PACKAGE=cloop-module

KSRC=/usr/src/linux
KVERS=$(shell awk '/^(VERSION|PATCHLEVEL|SUBLEVEL|EXTRAVERSION) /{if($$3){if(version){version=version "."};version=version $$3}}END{print version}' $(KSRC)/Makefile)

binary: binary-indep binary-arch binary-modules

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) KERNEL_DIR="$(KSRC)" utils
	touch build-stamp

binary-modules:
	$(MAKE) module KERNEL_DIR=$(KSRC) KVERSION=$(KVERS)
	dh_installdirs -p cloop-module-$(KVERS) lib/modules/$(KVERS)/drivers/block 
	cp *.ko $(CURDIR)/debian/cloop-module-$(KVERS)/lib/modules/$(KVERS)/drivers/block 
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installchangelogs CHANGELOG -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) KERNEL_DIR="$(KSRC)" clean
	-dh_clean
	rm -rf debian/cloop-?.?.?* debian/cloop debian/cloop-module debian/cloop-module-?.?.* debian/*.files knoppix

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-utils usr/bin
	install -m 755 create_compressed_fs  $(CURDIR)/debian/cloop-utils/usr/bin/
#	install -m 755 advancecomp-1.9_create_compressed_fs/advfs  $(CURDIR)/debian/cloop-utils/usr/bin/
#	install -m 755 compressloop          $(CURDIR)/debian/cloop-utils/usr/bin/
	install -m 755 extract_compressed_fs $(CURDIR)/debian/cloop-utils/usr/bin/

install-src: configure-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-src usr/src/modules/cloop
	echo $$UID
	tar -cf - {Makefile,*.[ch],debian/{compat,control*,copyright,rules,dirs,changelog},CHANGELOG,README} | tar -x -C debian/cloop-src/usr/src/modules/cloop
	dh_fixperms -i
	cd debian/cloop-src/usr/src ; tar -cf - modules | bzip2 -9 > cloop.tar.bz2 ; rm -rf modules

binary-arch: build install build-deb

binary-indep: install-src build-indep

build-deb:
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a README
	dh_installchangelogs CHANGELOG -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

build-indep: configure-stamp install-src
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i README debian/README.Debian
	dh_installexamples -i
	dh_installchangelogs CHANGELOG -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

.PHONY: build clean binary-indep binary-arch binary kdist kdist_image kdist_configure kdist_clean kdist
.NOTPARALLEL:

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

SHELL=/bin/bash

# This is the debhelper compatability version to use.
export DH_COMPAT=3

PACKAGE=cloop-module
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.mk
-include $(MA_DIR)/include/common-rules.mk

#defining some values
#TARGETDIR=lib/modules/$(KVERS)/kernel/drivers/extra
# I like the Kernel module to be built anyways. -KK
# And I do not! -EB
#ifeq ($(shell ls knoppix 2>/dev/null|| echo $$LOGNAME),knoppix)
## Good morning Mr. Knopper, using your settings
#TARGETDIR=lib/modules/`uname -r`/kernel/drivers/block
#KSRC := /usr/src/linux
#DEB_DESTDIR := $(CURDIR)/..
#PKGNAME = cloop-module
#HEAD := knopper
#binary: forknoppix
#else
HEAD := debian
binary: binary-indep binary-arch
#endif

#gencontrol= sed 's/\#KVERS\#/$(KVERS)/g' > $(CURDIR)/debian/control

# first build the module with Knoppix parameters, then continue with
# default rules
#forknoppix: clean kdist_image
#	$(MAKE) $(MFLAGS) -f debian/rules clean binary-indep binary-arch

configure: configure-stamp
configure-stamp:
	dh_testdir
#	cat debian/{control.head.$(HEAD),control.utils,control.src} | $(gencontrol)
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) utils
	touch build-stamp

# for m-a
kdist_clean: clean
kdist_config: kdist_configure
kdist_configure: prep-deb-files
#	test $(PKGNAME) = cloop-module || cp debian/cloop-module.templates debian/$(PKGNAME).templates
#	cat debian/{control.head.$(HEAD),control.mod} | $(gencontrol)

binary-modules: kdist_configure
	CC=$(CC) $(MAKE) install-module KERNEL_DIR=$(KSRC) INSTALL_MOD_PATH=$(CURDIR)/debian/$(PKGNAME) KVERSION=$(KVERS)
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a README debian/README.Debian
	dh_installchangelogs CHANGELOG -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a -- -v$(VERSION)
	dh_md5sums -a
	dh_builddeb -a --destdir=$(DEB_DESTDIR)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	-dh_clean
	rm -rf debian/cloop-?.?.?* debian/cloop debian/cloop-module debian/cloop-module-?.?.* debian/*.files knoppix

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-utils usr/bin
	install -m 755 create_compressed_fs  $(CURDIR)/debian/cloop-utils/usr/bin/
#	install -m 755 advancecomp-1.9_create_compressed_fs/advfs  $(CURDIR)/debian/cloop-utils/usr/bin/
#	install -m 755 compressloop          $(CURDIR)/debian/cloop-utils/usr/bin/
	install -m 755 extract_compressed_fs $(CURDIR)/debian/cloop-utils/usr/bin/
	dh_installman -p cloop-utils $(CURDIR)/debian/create_compressed_fs.1
	cd $(CURDIR)/debian/cloop-utils/usr/share/man/man1 && ln -sf create_compressed_fs.1 extract_compressed_fs.1 && ln -sf create_compressed_fs.1 advfs.1
#	dh_installman $(CURDIR)/debian/compressloop.1
	cd debian/cloop-utils/usr/share/man/man1 && ln -s create_compressed_fs.1.gz extract_compressed_fs.1.gz

install-src: configure-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-src usr/src/modules/cloop
	echo $$UID
	tar -cf - {Makefile,*.[ch],debian/{po,*template*,control*,copyright,rules,dirs,*_KVERS_*,README.Debian,changelog},CHANGELOG,README} | tar -x -C debian/cloop-src/usr/src/modules/cloop
	dh_fixperms -i
	cd debian/cloop-src/usr/src ; tar -cf - modules | bzip2 -9 > cloop.tar.bz2 ; rm -rf modules

binary-arch: build install build-deb

binary-indep: install-src build-indep

#kdist_image: kdist_targets
#	debian/rules kdist_clean

#kdist: kdist_targets genchanges
#	debian/rules kdist_clean

build-deb:
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a README debian/README.Debian
	dh_installexamples -a cloop-node-control.sh
	dh_installchangelogs CHANGELOG -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

build-indep: configure-stamp install-src
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i README debian/README.Debian
	dh_installexamples -i
	dh_installchangelogs CHANGELOG -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

.PHONY: build clean binary-indep binary-arch binary kdist kdist_image kdist_configure kdist_clean kdist
.NOTPARALLEL:
